Partner API
List available dates
GET /api/v2/calendar/availability - Returns dates in the inclusive range that have at least one open slot. Times are evaluated in the booking calendar timezone.
GET
/api/v2/calendar/availabilityReturns dates in the inclusive range that have at least one open slot. Times are evaluated in the booking calendar timezone.
Required scope: calendar (or *).
Query parameters
| Name | Required | Description |
|---|---|---|
from | Yes | YYYY-MM-DD start date |
to | Yes | YYYY-MM-DD end date |
agent_uuid | No | Optional team member (fixed-mode calendars) |
curl -s -H "Authorization: Bearer YOUR_TOKEN" \
"https://benefitpath.com/api/v2/calendar/availability?from=2026-07-20&to=2026-07-27&agent_uuid=c0a80101-0000-4000-8000-000000000003"
{
"success": true,
"timezone": "America/New_York",
"agent_uuid": "c0a80101-0000-4000-8000-000000000003",
"available_dates": ["2026-07-21", "2026-07-22"]
}
See Errors for the standard error envelope and rate limits.